IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[mps_prdctg_update]') AND type = 'TR')
DROP TRIGGER [dbo].[mps_prdctg_update]
GO

   

CREATE trigger [dbo].[mps_prdctg_update] on [dbo].[mps_prdctg] for update as
begin
    declare
       @maxcard  int,
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

declare @cmpid int 
select top 1 @cmpid = pc_cmpid from  inserted  
set @cmpid = isnull(@cmpid,0)

update mps_tableupdated set tu_updated=0 where  tu_table='mps_prdctg' and tu_cmpid=@cmpid 

    return

/*  Errors handling  */
error:
    -- raiserror @errno @errmsg
    rollback  transaction
end